'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
const AppFlag = exports.AppFlag = {
  name: 'app',
  char: 'a',
  description: 'app to run command against',
  hasValue: true
}; // eslint-disable-line
class App {

  constructor(cmd, options = { required: false }) {
    this.cmd = cmd;
    this.options = options;
  }

  get name() {
    if (typeof this.cmd.flags.app === 'string') return this.cmd.flags.app;
    // TODO: read from git remote
    if (this.options.required) throw new Error('No app specified');
  }
}
exports.default = App;